#include "mainwindow.h"
#include "car.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{
    mycar = Car();

    chrono.setInterval(40);
    connect(&chrono, SIGNAL(timeout()), this, SLOT(update()));
    chrono.start();
}

MainWindow::~MainWindow()
{
}

void MainWindow::paintEvent(QPaintEvent* event)
{
    QMainWindow::paintEvent(event);
    QPainter painter(this);

    mycar.draw(painter);
}

void MainWindow::update()
{
    mycar.drive();

    this->repaint();
}

